// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

var express 			= require('express');
var router 				= express.Router();
var db 					= require('../../config/db');

router.use('/customer', require('./customer'));
router.use('/shop', require('./shop'));
router.use('/product', require('./product'));

//home page
router.get('/', function(req, res) {	
	res.render('index', { title: 'Example 2: MVC App', message: 'Like other famous development languages, such as .NET and Java, node.js does have development framework like MVC. This example will show you how to buildup a small MVC web application using express, jade framework.'});
});

//company page
router.get('/company', function(req, res) {
	db.runQuery('SELECT name,background FROM company',function(rows){		
		res.render('company', { title: rows[0].name, message: rows[0].background});
	});	
})

module.exports = router;