// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

var db 					= require('../../config/db');

/**
 * Constructor
 */
var Customer = function(id, firstname, lastname, telephone, email, age, gender, username, password) {
	this.id = id;
	this.firstname = firstname;
	this.lastname = lastname;
	this.telephone = telephone;
	this.email = email;
	this.age = age;
	this.gender = gender;
	this.username = username;
	this.password = password;
};

/**
 * List all
 */
Customer.list = function(callback) {
	db.runQuery('SELECT * FROM customer',function(rows){
		callback(rows);
	});	
};

/**
 * Find by ID
 */
Customer.findByID = function(id,callback) {
	db.runQuery('SELECT * FROM customer WHERE id='+id,function(rows){
		callback(rows);
	});	
};

/**
 * Save New
 */
Customer.saveNew = function(customer,callback) {
	db.runSQL('INSERT INTO customer (firstname, lastname, telephone, email, age, gender, username, password) VALUES ("'+customer.firstname+'", "'+customer.lastname+'", "'+customer.telephone+'", "'+customer.email+'", '+customer.age+', "'+customer.gender+'", "'+customer.username+'", "'+customer.password+'")',function(results){
		var id = 0;
		if(results) {
			db.runQuery('SELECT MAX(id) as id FROM customer',function(rows){
				id = rows[0].id;
				callback(id,results);
			});
		} else {
			callback(id,results);
		}		
	});
};

/**
 * Update
 */
Customer.update = function(customer,callback) {
	db.runSQL('UPDATE customer SET firstname="'+customer.firstname+'", lastname="'+customer.lastname+'", telephone="'+customer.telephone+'", email="'+customer.email+'", age='+customer.age+', gender="'+customer.gender+'", username="'+customer.username+'", password="'+customer.password+'" WHERE id='+customer.id,function(results){
		callback(results);
	});
};

/**
 * Delete By ID
 */
Customer.deleteByID = function(id,callback) {
	db.runSQL('DELETE FROM customer WHERE id='+id,function(results){
		callback(results);
	});
};

module.exports = Customer;