// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

var db 					= require('../../config/db');

/**
 * Constructor
 */
var Product = function(id, name, details, price, status) {
	this.id = id;
	this.name = name;
	this.details = details;
	this.price = price;
	if(status) {
		this.status = 1;
	} else {
		this.status = 0;
	}	
};

/**
 * List all
 */
Product.list = function(callback) {
	db.runQuery('SELECT * FROM product',function(rows){
		callback(rows);
	});	
};

/**
 * Find by ID
 */
Product.findByID = function(id,callback) {
	db.runQuery('SELECT * FROM product WHERE id='+id,function(rows){
		callback(rows);
	});	
};

/**
 * Save New
 */
Product.saveNew = function(product,callback) {
	db.runSQL('INSERT INTO product (name, details, price, status) VALUES ("'+product.name+'", "'+product.details+'", '+product.price+', '+product.status+')',function(results){
		var id = 0;
		if(results) {
			db.runQuery('SELECT MAX(id) as id FROM product',function(rows){
				id = rows[0].id;
				callback(id,results);
			});
		} else {
			callback(id,results);
		}		
	});
};

/**
 * Update
 */
Product.update = function(product,callback) {
	db.runSQL('UPDATE product SET name="'+product.name+'", details="'+product.details+'", price='+product.price+', status='+product.status+' WHERE id='+product.id,function(results){
		callback(results);
	});
};

/**
 * Delete By ID
 */
Product.deleteByID = function(id,callback) {
	db.runSQL('DELETE FROM product WHERE id='+id,function(results){
		callback(results);
	});
};

module.exports = Product;