//Declare MySQL library
var mysql = require('mysql');
//Declare MySQL connection pool
var pool =  mysql.createPool({
	host: 		'localhost',
	user: 		'root',
	password: 	'root',
	database:	'itblogs2',
	port: 		3306
});

//Running select SQL
exports.runQuery = function(query,callback) {
	//Making Query
	pool.getConnection(function(err, connection){
		connection.query( query, function(err, rows){
			if(err)	{
				throw err;
			}else{
				console.log( query );
				callback(rows);
			}
		});	  
		connection.release();
	});
};

//Running insert,update,delete SQL
exports.runSQL = function(sql,callback) {
	//Making Query
	pool.getConnection(function(err, connection){
		connection.query( sql, function(err){
			if(err)	{
				console.log( sql + ' ::: ' + err );
				callback(false);
			}else{
				console.log( sql );
				callback(true);
			}
		});	  
		connection.release();
	});
};