// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

var db 					= require('../../config/db');

/**
 * Constructor
 */
var Shop = function(id, name, telephone, fax, email, address, map_latitude, map_longitude, status) {
	this.id = id;
	this.name = name;
	this.telephone = telephone;
	this.fax = fax;
	this.email = email;
	this.address = address;
	this.map_latitude = map_latitude;
	this.map_longitude = map_longitude;
	if(status) {
		this.status = 1;
	} else {
		this.status = 0;
	}	
};

/**
 * List all
 */
Shop.list = function(callback) {
	db.runQuery('SELECT * FROM shop',function(rows){
		callback(rows);
	});	
};

/**
 * Find by ID
 */
Shop.findByID = function(id,callback) {
	db.runQuery('SELECT * FROM shop WHERE id='+id,function(rows){
		callback(rows);
	});	
};

/**
 * Save New
 */
Shop.saveNew = function(shop,callback) {
	db.runSQL('INSERT INTO shop (name, telephone, fax, email, address, map_latitude, map_longitude, status) VALUES ("'+shop.name+'", "'+shop.telephone+'", "'+shop.fax+'", "'+shop.email+'", "'+shop.address+'", '+shop.map_latitude+', '+shop.map_longitude+', '+shop.status+')',function(results){
		var id = 0;
		if(results) {
			db.runQuery('SELECT MAX(id) as id FROM shop',function(rows){
				id = rows[0].id;
				callback(id,results);
			});
		} else {
			callback(id,results);
		}		
	});
};

/**
 * Update
 */
Shop.update = function(shop,callback) {
	db.runSQL('UPDATE shop SET name="'+shop.name+'", telephone="'+shop.telephone+'", fax="'+shop.fax+'", email="'+shop.email+'", address="'+shop.address+'", map_latitude='+shop.map_latitude+', map_longitude='+shop.map_longitude+', status='+shop.status+' WHERE id='+shop.id,function(results){
		callback(results);
	});
};

/**
 * Delete By ID
 */
Shop.deleteByID = function(id,callback) {
	db.runSQL('DELETE FROM shop WHERE id='+id,function(results){
		callback(results);
	});
};

module.exports = Shop;